# pandas.core.window.expanding.Expanding.std

Expanding.std(ddof=1, *args, **kwargs)

  Calculate the expanding standard deviation.

  Parameters
    ddof int, default 1

      Delta Degrees of Freedom. The divisor used in calculations is `N - ddof`, where `N` represents the number of elements.

    *args

      For NumPy compatibility and will not have an effect on the result.

    **kwargs

      For NumPy compatibility and will not have an effect on the result.

  Returns
    Series or DataFrame

      Return type is the same as the original object.

  See also

  `numpy.std`

    Equivalent method for NumPy array.

  `pandas.Series.expanding`

    Calling expanding with Series data.

  `pandas.DataFrame.expanding`

    Calling expanding with DataFrames.

  `pandas.Series.std`

    Aggregating std for Series.

  `pandas.DataFrame.std`

    Aggregating std for DataFrame.

  Notes

  The default `ddof` of 1 used in `Series.std()` is different than the default `ddof` of 0 in `numpy.std()`.

  A minimum of one period is required for the rolling calculation.

  Examples

      >>> s = pd.Series([5, 5, 6, 7, 5, 5, 5])

      >>> s.expanding(3).std()
      0         NaN
      1         NaN
      2    0.577350
      3    0.957427
      4    0.894427
      5    0.836660
      6    0.786796
      dtype: float64